Bug 518814 - balance fully on L or fully on R cause distortion in audio
Summary: balance fully on L or fully on R cause distortion in audio
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 523736 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 09:56 UTC by Paul Jakma
Modified: 2010-12-05 06:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 514784
Environment:
Last Closed: 2010-12-05 06:34:31 UTC


Attachments (Terms of Use)
pacmd ls while problem is occuring (33.05 KB, text/plain)
2009-10-21 16:45 UTC, Paul Jakma
no flags Details
Recording of the distortion heard as balance is varied from extreme to centre a few times (598.48 KB, audio/x-wav)
2009-10-21 16:59 UTC, Paul Jakma
no flags Details

Description Paul Jakma 2009-08-23 09:56:07 UTC
+++ This bug was initially created as a clone of Bug #514784 +++

Description of problem:

If you change the balance all the way left, or all the way right, it seems to adversely affect the sound quality - you hear a deformed version of the sound. (It's not the speakers, cause right now the sound is playing slowly - must be sampling/rate conversion induced rather than a speaker problem).

Version-Release number of selected component (if applicable):

pulseaudio-0.9.15-14.fc11.i586


How reproducible:

May need much twiddling of balance left and right to reproduce.

Steps to Reproduce:
1. Play sound
2. Change balance
3. Adjust volume
4. Return to step 2, and do this several times, including with balance set to  extremes.

Actual results:

After twiddling many times in order to gather data for this bug, the sound became distorted.

Expected results:

I expect changing balance to not cause my music to be passed through some weird transformation process. :)

Comment 1 Lennart Poettering 2009-08-24 02:35:48 UTC
Which tool do you use to change the balance?

Comment 2 Paul Jakma 2009-08-25 12:13:56 UTC
It was the standard GNOME volume settings tool.

Comment 3 Lennart Poettering 2009-08-26 01:24:32 UTC
Whcih one? The "advanced" one we ship or gnome-volume-control?

Comment 4 Paul Jakma 2009-08-26 10:14:12 UTC
What the normal one is that you get when you when right click the volume icon and open the volume settings window - I think that's gnome-volume-control.

Comment 5 Lennart Poettering 2009-08-26 18:58:14 UTC
Hmm, could you please reproduce this issue and then paste the output of "pacmd ls" here while you are having these problems?

Comment 6 Paul Jakma 2009-09-03 11:29:19 UTC
On the machine where I was having this issue (with NVidia audio), I'm having problems now where I get no sound at all. I removed Pulseaudio to see what ALSA sound on its own was like, and after re-installing all the pulseaudio rpms, I no longer get sound.

On another machine, an old slow laptop, if I try replicate this bug there then it seems PA gets wedged (or so busy it seems wedged) before I can replicate. I suspect this isn't completely PAs fault, but rather that gnome-volume-control hasn't responded well to me wiggling the slider and is 'lagged' - still reacting to a long queue of slider movement events - and so keeping PA very busy. 

Here's 'pacmd ls' on the original NVidia box that had the distortion issue, but which now doesn't play any sound at all. There's an mplayer connected, playing an MP3. There seems to be a sink corresponding to a local ALSA PCI device. The monitor for that sink is showing lots of activity. ALSA volumes are all bumped up.

The physical config of the machine (i.e. speakers, electrical volume settings) has not changed over the uninstall/re-install cycle.

[paul@stoner ~] (master*+)$ pacmd ls
Welcome to PulseAudio! Use "help" for usage information.
>>> Memory blocks currently allocated: 93, size: 474.6 KiB.
Memory blocks allocated during the whole lifetime: 81475, size: 143.2 MiB.
Memory blocks imported from other processes: 92, size: 410.7 KiB.
Memory blocks exported to other processes: 0, size: 0 B.
Total sample cache size: 0 B.
Default sample spec: s16le 2ch 44100Hz
Default channel map: front-left,front-right
Default sink name: alsa_output.pci_10de_371_sound_card_0
Default source name: alsa_input.pci_10de_371_sound_card_0
Memory blocks of type POOL: 1 allocated/52650 accumulated.
Memory blocks of type POOL_EXTERNAL: 0 allocated/7420 accumulated.
Memory blocks of type APPENDED: 0 allocated/0 accumulated.
Memory blocks of type USER: 0 allocated/0 accumulated.
Memory blocks of type FIXED: 0 allocated/23720 accumulated.
Memory blocks of type IMPORTED: 92 allocated/5105 accumulated.
22 module(s) loaded.
    index: 0
        name: <module-device-restore>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore the volume/mute state of devices"
                module.version = "0.9.15"
    index: 1
        name: <module-stream-restore>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore the volume/mute/device state of streams"
                module.version = "0.9.15"
    index: 2
        name: <module-card-restore>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore profile of cards"
                module.version = "0.9.15"
    index: 3
        name: <module-augment-properties>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Augment the property sets of streams with additional static information"
                module.version = "0.9.15"
    index: 4
        name: <module-alsa-card>
        argument: <device_id=0 name=pci_10de_371_sound_card_0 card_name=alsa_card.pci_10de_371_sound_card_0 tsched=1>
        used: 1
        load once: no
        properties:
                module.author = "Lennart Poettering"
                module.description = "ALSA Card"
                module.version = "0.9.15"
    index: 5
        name: <module-hal-detect>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Shahms King"
                module.description = "Detect available audio hardware and load matching drivers"
                module.version = "0.9.15"
    index: 6
        name: <module-bluetooth-discover>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Joao Paulo Rechi Vita"
                module.description = "Detect available bluetooth audio devices and load bluetooth audio drivers"
                module.version = "0.9.15"
    index: 7
        name: <module-esound-protocol-unix>
        argument: <>
        used: -1
        load once: no
        properties:
                module.author = "Lennart Poettering"
                module.description = "ESOUND protocol (UNIX sockets)"
                module.version = "0.9.15"
    index: 8
        name: <module-native-protocol-unix>
        argument: <>
        used: -1
        load once: no
        properties:
                module.author = "Lennart Poettering"
                module.description = "Native protocol (UNIX sockets)"
                module.version = "0.9.15"
    index: 10
        name: <module-native-protocol-tcp>
        argument: <>
        used: -1
        load once: no
        properties:
                module.author = "Lennart Poettering"
                module.description = "Native protocol (TCP sockets)"
                module.version = "0.9.15"
    index: 11
        name: <module-esound-protocol-tcp>
        argument: <>
        used: -1
        load once: no
        properties:
                module.author = "Lennart Poettering"
                module.description = "ESOUND protocol (TCP sockets)"
                module.version = "0.9.15"
    index: 12
        name: <module-zeroconf-discover>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "mDNS/DNS-SD Service Discovery"
                module.version = "0.9.15"
    index: 13
        name: <module-gconf>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "GConf Adapter"
                module.version = "0.9.15"
    index: 14
        name: <module-default-device-restore>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Automatically restore the default sink and source"
                module.version = "0.9.15"
    index: 15
        name: <module-rescue-streams>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "When a sink/source is removed, try to move their streams to the default sink/source"
                module.version = "0.9.15"
    index: 16
        name: <module-always-sink>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Colin Guthrie"
                module.description = "Always keeps at least one sink loaded even if it's a null one"
                module.version = "0.9.15"
    index: 17
        name: <module-suspend-on-idle>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "When a sink/source is idle for too long, suspend it"
                module.version = "0.9.15"
    index: 18
        name: <module-console-kit>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Create a client for each ConsoleKit session of this user"
                module.version = "0.9.15"
    index: 19
        name: <module-position-event-sounds>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Position event sounds between L and R depending on the position on screen of the widget triggering them."
                module.version = "0.9.15"
    index: 20
        name: <module-cork-music-on-phone>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Lennart Poettering"
                module.description = "Mute or cork music while a phone stream exists"
                module.version = "0.9.15"
    index: 24
        name: <module-raop-discover>
        argument: <>
        used: -1
        load once: yes
        properties:
                module.author = "Colin Guthrie"
                module.description = "mDNS/DNS-SD Service Discovery of RAOP devices"
                module.version = "0.9.15"
    index: 25
        name: <module-cli-protocol-unix>
        argument: <>
        used: -1
        load once: no
        properties:
                module.author = "Lennart Poettering"
                module.description = "Command line interface protocol (UNIX sockets)"
                module.version = "0.9.15"
1 sink(s) available.
  * index: 0
        name: <alsa_output.pci_10de_371_sound_card_0>
        driver: <module-alsa-card.c>
        flags: HARDWARE HW_MUTE_CTRL DECIBEL_VOLUME LATENCY FLAT_VOLUME DYNAMIC_LATENCY
        state: RUNNING
        volume: 0:  93% 1:  94%
                0: -6.00 dB 1: -4.87 dB
                balance 0.01
        base volume: 100%
                     0.00 dB
        volume steps: 65537
        muted: no
        current latency: 14.98 ms
        max request: 3 KiB
        max rewind: 344 KiB
        monitor source: 0
        sample spec: s16le 2ch 44100Hz
        channel map: front-left,front-right
                     Stereo
        used by: 1
        linked by: 1
        configured latency: 23.22 ms; range is 2.00 .. 1999.82 ms
        card: 0 <alsa_card.pci_10de_371_sound_card_0>
        module: 4
        properties:
                alsa.resolution_bits = "16"
                alsa.mixer_element = "IEC958"
                device.api = "alsa"
                device.class = "sound"
                alsa.class = "generic"
                alsa.subclass = "generic-mix"
                alsa.name = "ALC883 Digital"
                alsa.id = "ALC883 Digital"
                alsa.subdevice = "0"
                alsa.subdevice_name = "subdevice #0"
                alsa.device = "1"
                alsa.card = "0"
                alsa.card_name = "HDA NVidia"
                alsa.long_card_name = "HDA NVidia at 0xa0000000 irq 16"
                alsa.driver_name = "snd_hda_intel"
                device.bus = "pci"
                device.vendor.id = "10de"
                device.vendor.name = "nVidia Corporation"
                device.product.id = "0371"
                device.product.name = "MCP55 High Definition Audio"
                device.form_factor = "internal"
                device.bus_path = "/devices/pci0000:00/0000:00:06.1/sound/card0"
                hal.udi = "/org/freedesktop/Hal/devices/pci_10de_371_sound_card_0"
                hal.product = "HDA NVidia Sound Card"
                hal.card_id = "HDA NVidia"
                device.string = "iec958:0"
                device.buffering.buffer_size = "352768"
                device.buffering.fragment_size = "176384"
                device.access_mode = "mmap+timer"
                device.profile.name = "iec958-stereo"
                device.profile.description = "Digital Stereo (IEC958)"
                device.description = "Internal Audio"
                device.icon_name = "audio-card-pci"
2 source(s) available.
    index: 0
        name: <alsa_output.pci_10de_371_sound_card_0.monitor>
        driver: <module-alsa-card.c>
        flags: DECIBEL_VOLUME LATENCY DYNAMIC_LATENCY
        state: IDLE
        volume: 0: 100% 1: 100%
                0: 0.00 dB 1: 0.00 dB
                balance 0.00
        base volume: 100%
                     0.00 dB
        volume steps: 65537
        muted: no
        current latency: 0.00 ms
        max rewind: 344 KiB
        sample spec: s16le 2ch 44100Hz
        channel map: front-left,front-right
                     Stereo
        used by: 0
        linked by: 0
        configured latency: 1999.82 ms; range is 2.00 .. 1999.82 ms
        monitor_of: 0
        card: 0 <alsa_card.pci_10de_371_sound_card_0>
        module: 4
        properties:
                device.description = "Monitor of Internal Audio"
                device.class = "monitor"
                alsa.card = "0"
                alsa.card_name = "HDA NVidia"
                alsa.long_card_name = "HDA NVidia at 0xa0000000 irq 16"
                alsa.driver_name = "snd_hda_intel"
                device.bus = "pci"
                device.vendor.id = "10de"
                device.vendor.name = "nVidia Corporation"
                device.product.id = "0371"
                device.product.name = "MCP55 High Definition Audio"
                device.form_factor = "internal"
                device.bus_path = "/devices/pci0000:00/0000:00:06.1/sound/card0"
                hal.udi = "/org/freedesktop/Hal/devices/pci_10de_371_sound_card_0"
                hal.product = "HDA NVidia Sound Card"
                hal.card_id = "HDA NVidia"
                device.string = "0"
                device.icon_name = "audio-card-pci"
  * index: 1
        name: <alsa_input.pci_10de_371_sound_card_0>
        driver: <module-alsa-card.c>
        flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY DYNAMIC_LATENCY
        state: SUSPENDED
        volume: 0: 100% 1: 100%
                0: 0.00 dB 1: 0.00 dB
                balance 0.00
        base volume:  66%
                     -30.00 dB
        volume steps: 65537
        muted: no
        current latency: 0.00 ms
        max rewind: 0 KiB
        sample spec: s16le 2ch 44100Hz
        channel map: front-left,front-right
                     Stereo
        used by: 0
        linked by: 0
        configured latency: 0.00 ms; range is 0.50 .. 1999.82 ms
        card: 0 <alsa_card.pci_10de_371_sound_card_0>
        module: 4
        properties:
                alsa.resolution_bits = "16"
                alsa.mixer_element = "Capture"
                device.api = "alsa"
                device.class = "sound"
                alsa.class = "generic"
                alsa.subclass = "generic-mix"
                alsa.name = "ALC883 Analog"
                alsa.id = "ALC883 Analog"
                alsa.subdevice = "0"
                alsa.subdevice_name = "subdevice #0"
                alsa.device = "0"
                alsa.card = "0"
                alsa.card_name = "HDA NVidia"
                alsa.long_card_name = "HDA NVidia at 0xa0000000 irq 16"
                alsa.driver_name = "snd_hda_intel"
                device.bus = "pci"
                device.vendor.id = "10de"
                device.vendor.name = "nVidia Corporation"
                device.product.id = "0371"
                device.product.name = "MCP55 High Definition Audio"
                device.form_factor = "internal"
                device.bus_path = "/devices/pci0000:00/0000:00:06.1/sound/card0"
                hal.udi = "/org/freedesktop/Hal/devices/pci_10de_371_sound_card_0"
                hal.product = "HDA NVidia Sound Card"
                hal.card_id = "HDA NVidia"
                device.string = "front:0"
                device.buffering.buffer_size = "352768"
                device.buffering.fragment_size = "176384"
                device.access_mode = "mmap+timer"
                device.profile.name = "analog-stereo"
                device.profile.description = "Analog Stereo"
                device.description = "Internal Audio"
                device.icon_name = "audio-card-pci"
7 client(s) logged in.
    index: 0
        driver: <module-console-kit.c>
        owner module: 18
        properties:
                application.name = "ConsoleKit Session /org/freedesktop/ConsoleKit/Session18"
                console-kit.session = "/org/freedesktop/ConsoleKit/Session18"
    index: 1
        driver: <protocol-native.c>
        owner module: 8
        properties:
                application.name = "GNOME Volume Control"
                native-protocol.peer = "UNIX socket client"
                native-protocol.version = "15"
                application.id = "org.gnome.VolumeControl"
                application.icon_name = "multimedia-volume-control"
                application.version = "2.26.1"
                application.process.id = "4889"
                application.process.user = "paul"
                application.process.host = "stoner.jakma.org"
                application.process.binary = "gnome-settings-daemon"
                window.x11.display = ":0.0"
                application.language = "en_GB.UTF-8"
                application.process.machine_id = "e3c6fb95e544bc9c4b496c574a27dbc0"
                application.process.session_id = "e3c6fb95e544bc9c4b496c574a27dbc0-1251976557.341699-1317536319"
    index: 3
        driver: <protocol-native.c>
        owner module: 8
        properties:
                application.name = "GNOME Volume Control"
                native-protocol.peer = "UNIX socket client"
                native-protocol.version = "15"
                application.id = "org.gnome.VolumeControl"
                application.icon_name = "multimedia-volume-control"
                application.version = "2.27.90.fix"
                application.process.id = "4997"
                application.process.user = "paul"
                application.process.host = "stoner.jakma.org"
                application.process.binary = "gnome-volume-control-applet"
                window.x11.display = ":0.0"
                application.language = "en_GB.UTF-8"
                application.process.machine_id = "e3c6fb95e544bc9c4b496c574a27dbc0"
                application.process.session_id = "e3c6fb95e544bc9c4b496c574a27dbc0-1251976557.341699-1317536319"
    index: 4
        driver: <protocol-native.c>
        owner module: 8
        properties:
                application.name = "libcanberra"
                native-protocol.peer = "UNIX socket client"
                native-protocol.version = "15"
                application.process.id = "4896"
                application.process.user = "paul"
                application.process.host = "stoner.jakma.org"
                application.process.binary = "metacity"
                window.x11.display = ":0.0"
                application.language = "en_GB.UTF-8"
                application.process.machine_id = "e3c6fb95e544bc9c4b496c574a27dbc0"
                application.process.session_id = "e3c6fb95e544bc9c4b496c574a27dbc0-1251976557.341699-1317536319"
    index: 13
        driver: <protocol-native.c>
        owner module: 8
        properties:
                application.name = "PulseAudio Manager"
                native-protocol.peer = "UNIX socket client"
                native-protocol.version = "15"
                application.process.id = "6132"
                application.process.user = "paul"
                application.process.host = "stoner.jakma.org"
                application.process.binary = "paman"
                window.x11.display = ":0.0"
                application.language = "en_GB.UTF-8"
                application.process.machine_id = "e3c6fb95e544bc9c4b496c574a27dbc0"
                application.process.session_id = "e3c6fb95e544bc9c4b496c574a27dbc0-1251976557.341699-1317536319"
                application.icon_name = "audio-card"
    index: 15
        driver: <protocol-native.c>
        owner module: 8
        properties:
                application.name = "ALSA plug-in [mplayer]"
                native-protocol.peer = "UNIX socket client"
                native-protocol.version = "15"
                application.process.id = "6258"
                application.process.user = "paul"
                application.process.host = "stoner.jakma.org"
                application.process.binary = "mplayer"
                application.language = "C"
                window.x11.display = ":0.0"
                application.process.machine_id = "e3c6fb95e544bc9c4b496c574a27dbc0"
                application.process.session_id = "e3c6fb95e544bc9c4b496c574a27dbc0-1251976557.341699-1317536319"
    index: 16
        driver: <cli.c>
        owner module: 25
        properties:
                application.name = "UNIX socket client"
1 card(s) available.
    index: 0
        name: <alsa_card.pci_10de_371_sound_card_0>
        driver: <module-alsa-card.c>
        owner module: 4
        properties:
                alsa.card = "0"
                alsa.card_name = "HDA NVidia"
                alsa.long_card_name = "HDA NVidia at 0xa0000000 irq 16"
                alsa.driver_name = "snd_hda_intel"
                device.bus = "pci"
                device.vendor.id = "10de"
                device.vendor.name = "nVidia Corporation"
                device.product.id = "0371"
                device.product.name = "MCP55 High Definition Audio"
                device.form_factor = "internal"
                device.bus_path = "/devices/pci0000:00/0000:00:06.1/sound/card0"
                hal.udi = "/org/freedesktop/Hal/devices/pci_10de_371_sound_card_0"
                hal.product = "HDA NVidia Sound Card"
                hal.card_id = "HDA NVidia"
                device.string = "0"
                device.description = "Internal Audio"
                device.icon_name = "audio-card-pci"
        profiles:
                output-iec958-stereo+input-analog-stereo: Output Digital Stereo (IEC958) + Input Analog Stereo (priority 80510)
                output-iec958-stereo+input-iec958-stereo: Output Digital Stereo (IEC958) + Input Digital Stereo (IEC958) (priority 80505)
                output-iec958-stereo: Output Digital Stereo (IEC958) (priority 50500)
                input-analog-stereo: Input Analog Stereo (priority 30010)
                input-iec958-stereo: Input Digital Stereo (IEC958) (priority 30005)
                off: Off (priority 0)
        active profile: <output-iec958-stereo+input-analog-stereo>
        sinks:
                alsa_output.pci_10de_371_sound_card_0/#0: Internal Audio
        sources:
                alsa_output.pci_10de_371_sound_card_0.monitor/#0: Monitor of Internal Audio
                alsa_input.pci_10de_371_sound_card_0/#1: Internal Audio
1 sink input(s) available.
    index: 6
        driver: <protocol-native.c>
        flags: 
        state: RUNNING
        sink: 0 <alsa_output.pci_10de_371_sound_card_0>
        volume: 0:  93% 1:  94%
                0: -6.00 dB 1: -4.87 dB
                balance 0.01
        muted: no
        current latency: 354.04 ms
        requested latency: 23.22 ms
        sample spec: s16le 2ch 44100Hz
        channel map: front-left,front-right
                     Stereo
        resample method: (null)
        module: 8
        client: 15 <ALSA plug-in [mplayer]>
        properties:
                media.name = "ALSA Playback"
                application.name = "ALSA plug-in [mplayer]"
                native-protocol.peer = "UNIX socket client"
                native-protocol.version = "15"
                application.process.id = "6258"
                application.process.user = "paul"
                application.process.host = "stoner.jakma.org"
                application.process.binary = "mplayer"
                application.language = "C"
                window.x11.display = ":0.0"
                application.process.machine_id = "e3c6fb95e544bc9c4b496c574a27dbc0"
                application.process.session_id = "e3c6fb95e544bc9c4b496c574a27dbc0-1251976557.341699-1317536319"
                module-stream-restore.id = "sink-input-by-application-name:ALSA plug-in [mplayer]"
0 source outputs(s) available.
0 cache entrie(s) available.

Comment 7 Paul Jakma 2009-09-03 12:31:50 UTC
For whatever weird reason I had to rmmod/modprobe snd_hda_intel in order for Pulseaudio to work again (NVidia MCP55, mplayer -ao alsa worked fine).

I can no longer replicate this bug with:

 rpm -q pulseaudio  gnome-media; uname -r
pulseaudio-0.9.15-14.fc11.i586
gnome-media-2.27.90.fix-1.fc11.i586
2.6.29.4-167.fc11.i686.PAE

Thanks!

Comment 8 Paul Jakma 2009-10-21 16:44:45 UTC
Aha, it's happening again..

I am playing MP3s in rhythmbox and if I twiddle the balance slider in the standard GNOME volume preferences to either extreme it distorts.

I am attaching output of 'pacmd ls' as well as a recording of the sound I hear, while I slide the balance to the extreme and back.

Comment 9 Paul Jakma 2009-10-21 16:45:26 UTC
Created attachment 365561 [details]
pacmd ls while problem is occuring

Comment 10 Paul Jakma 2009-10-21 16:59:45 UTC
Created attachment 365569 [details]
Recording of the distortion heard as balance is varied from extreme to centre a few times

Comment 11 Paul Jakma 2009-10-21 17:02:19 UTC
This instance of the problem is with following installed:

# rpm -q pulseaudio gnome-media kernel
pulseaudio-0.9.15-17.fc11.i586
gnome-media-2.27.90.fix-1.fc11.i586
kernel-2.6.30.8-64.fc11.i586

Comment 12 Paul Jakma 2009-10-21 17:02:49 UTC
Urg, wrong kernel. Running version is: 2.6.30.5-32.fc11.i686.PAE

Comment 13 Lennart Poettering 2009-10-23 18:51:12 UTC
*** Bug 523736 has been marked as a duplicate of this bug. ***

Comment 14 Lennart Poettering 2010-02-16 00:25:57 UTC
Hmm, I can make it go away here by disabling the SIMD logic (by setting PULSE_NO_SIMD=1 as env var when running PA). Weird stuff.

Comment 15 Bug Zapper 2010-04-28 09:54:23 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 Paul Jakma 2010-04-28 10:13:27 UTC
Still present in pulseaudio-0.9.21-5.fc12.i686. It seems to require the mixing of audio from 2 or more clients.

Comment 17 Bug Zapper 2010-11-04 10:25:25 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2010-12-05 06:34:31 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.